Bug 1733323 - open-vm-tools system container naming changes
Summary: open-vm-tools system container naming changes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-server-atomic
Version: 7.6
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Colin Walters
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 17:19 UTC by Alex Jia
Modified: 2021-03-15 07:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: The open-vm-tools guest agent is incorrectly tagged. Consequence: The open-vm-tools guest agent may not start correctly. Workaround (if any): Tag the existing image correctly and re-install the guest agent. 1. atomic -y containers delete open-vm-tools-7.6-35 2. atomic images tag registry.access.redhat.com/rhel7/open-vm-tools:7.6-35 registry.access.redhat.com/rhel7/open-vm-tools:latest 3. atomic -y images delete registry.access.redhat.com/rhel7/open-vm-tools:7.6-35 4. atomic install --system registry.access.redhat.com/rhel7/open-vm-tools:latest Result: The open-vm-tools guest agent starts successfully.
Clone Of:
Environment:
Last Closed: 2021-03-15 07:37:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alex Jia 2019-07-25 17:19:18 UTC
Description of problem:
the new open-vm-tools container name is different from before in rhel-atomic-vsphere-7.6.6-6.x86_64.vsphere.ova, it includes version like this "open-vm-tools-7.6-35" , as a system container, user can operate it by systemctl cmdline, please see official document - https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux_atomic_host/7/html/managing_containers/running_system_containers#using_the_open_vm_tools_system_container_image_for_vmware, if customers start their RHELAH installs from these new cloud images, we need to update document w/ container name changes, for instance, systemctl status/enable/start/stop/...  open-vm-tools-$version, e.g. $version is 7.6-35, systemctl/status/enable/start/stop/... open-vm-tools-7.6-35.

Version-Release number of selected component (if applicable):
# atomic host status
State: idle; auto updates disabled
Deployments:
● ostree://rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                   Version: 7.6.6 (2019-07-24 08:47:27)
                    Commit: 33bb37a7d207ce653eab70306d18deea7daf444b6b7f7aeadef722f96d7e8e6d

# runc list
ID                     PID         STATUS      BUNDLE                                              CREATED                          OWNER
open-vm-tools-7.6-35   877         running     /var/lib/containers/atomic/open-vm-tools-7.6-35.0   2019-07-25T01:04:54.813860613Z   root


How reproducible:
always

Steps to Reproduce:
1. systemctl status open-vm-tools


Actual results:
# systemctl status open-vm-tools    <------ old operation in official document
Unit open-vm-tools.service could not be found.

# systemctl status open-vm-tools-7.6-35 <----- new operation w/ name + version
● open-vm-tools-7.6-35.service - Service for virtual machines hosted on VMware
   Loaded: loaded (/etc/systemd/system/open-vm-tools-7.6-35.service; enabled; vendor preset: disabled)
   Active: active (running) since Thu 2019-07-25 01:04:54 UTC; 15h ago
     Docs: http://github.com/vmware/open-vm-tools
  Process: 858 ExecStartPre=/bin/bash -c export -p > /tmp/open-vm-tools-bash-env (code=exited, status=0/SUCCESS)
  Process: 845 ExecStartPre=/bin/bash -c systemctl import-environment (code=exited, status=0/SUCCESS)
 Main PID: 862 (runc)
    Tasks: 10
   Memory: 860.0K
   CGroup: /system.slice/open-vm-tools-7.6-35.service
           └─862 /usr/bin/runc --systemd-cgroup run open-vm-tools-7.6-35

Jul 25 01:04:53 localhost.localdomain systemd[1]: Starting Service for virtua...
Jul 25 01:04:54 localhost.localdomain systemd[1]: Started Service for virtual...
Jul 25 01:04:54 localhost.localdomain runc[862]: ** Message: 01:04:54.914: P...h
Jul 25 01:04:54 localhost.localdomain runc[862]: ** Message: 01:04:54.923: C...1
Hint: Some lines were ellipsized, use -l to show in full.


Expected results:


Additional info:

Existing customers can do `rpm-ostree upgrade` and `atomic images update`, to get the latest ostree bits and system containers.

Comment 1 Micah Abbott 2019-07-25 17:39:45 UTC
I believe the naming change is only a problem for vSphere cloud image of RHELAH, so moving to new component

Comment 2 Micah Abbott 2019-07-26 16:34:29 UTC
The workaround for this would be to:

1.  Delete the existing system container that was installed
2.  Tag the container images with `:latest`
3.  Re-install the system container with the `:latest` tag

```
# atomic images list 
   REPOSITORY                                       TAG      IMAGE ID       CREATED            VIRTUAL SIZE   TYPE                                                                                                   
>  registry.access.redhat.com/rhel7/open-vm-tools   7.6-35   90d63380dc65   2019-07-24 16:26   108.47 MB      ostree

# atomic containers list -a --no-trunc                                                                                                                                               
   CONTAINER ID         IMAGE                                                 NAME                 COMMAND          CREATED          STATE      BACKEND    RUNTIME                                                   
   open-vm-tools-7.6-35 registry.access.redhat.com/rhel7/open-vm-tools:7.6-35 open-vm-tools-7.6-35 /usr/bin/init.sh 2019-07-26 16:30 inactive   ostree     /usr/bin/r

# atomic -y containers delete open-vm-tools-7.6-35                                                                                                                                   
The following containers will be deleted.                                                                 
                                                                                                          
   ID           NAME                 IMAGE_NAME                STORAGE                                    
   open-vm-tool open-vm-tools-7.6-35 registry.access.redhat.co ostree                                     
systemctl disable --now open-vm-tools-7.6-35                                                              
systemctl daemon-reload                                                                                   

# ls -l /etc/systemd/system/open-vm-tools*                                                                                                                                           
ls: cannot access /etc/systemd/system/open-vm-tools*: No such file or directory

# atomic images tag registry.access.redhat.com/rhel7/open-vm-tools:7.6-35 registry.access.redhat.com/rhel7/open-vm-tools:latest

# atomic images list
   REPOSITORY                                       TAG      IMAGE ID       CREATED            VIRTUAL SIZE   TYPE      
   registry.access.redhat.com/rhel7/open-vm-tools   7.6-35   90d63380dc65   2019-07-24 16:26   108.47 MB      ostree    
   registry.access.redhat.com/rhel7/open-vm-tools   latest   90d63380dc65   2019-07-24 16:26   108.47 MB      ostree

# atomic -y images delete registry.access.redhat.com/rhel7/open-vm-tools:7.6-35

# atomic images list
   REPOSITORY                                       TAG      IMAGE ID       CREATED            VIRTUAL SIZE   TYPE      
   registry.access.redhat.com/rhel7/open-vm-tools   latest   90d63380dc65   2019-07-24 16:26   108.47 MB      ostree

# atomic install --system registry.access.redhat.com/rhel7/open-vm-tools:latest
Extracting to /var/lib/containers/atomic/open-vm-tools.0
systemctl daemon-reload
systemctl enable open-vm-tools

# atomic containers list -a --no-trunc
   CONTAINER ID  IMAGE                                                 NAME          COMMAND          CREATED          STATE      BACKEND    RUNTIME   
   open-vm-tools registry.access.redhat.com/rhel7/open-vm-tools:latest open-vm-tools /usr/bin/init.sh 2019-07-26 16:32 inactive   ostree     /usr/bin/r

# systemctl status open-vm-tools
● open-vm-tools.service - Service for virtual machines hosted on VMware
   Loaded: loaded (/etc/systemd/system/open-vm-tools.service; enabled; vendor preset: disabled)
   Active: inactive (dead)
     Docs: http://github.com/vmware/open-vm-tools
```

Comment 4 Alex Jia 2019-08-04 16:27:59 UTC
Fixed in open-vm-tools-7.7-12, and it's also okay in open-vm-tools-7.7-13.

Comment 7 RHEL Program Management 2021-03-15 07:37:56 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.